# Loads the properties of the rocket based on selected MENU_MOTOR, MENU_CORE,
# and MENU_UPPER_STAGE variants.
# The results are stored in the fake players:
# - WEIGHT
# - PAYLOAD_CLASS
# - THRUST
# - FUEL
# - BUDGET_USED
# - DELTA_V
# It also uses MISSION_BUDGET and calcualtes:
# - BUDGET_LEFT
# Reset the output properties
scoreboard players set WEIGHT var 0
scoreboard players set THRUST var 0
scoreboard players set FUEL var 0
scoreboard players set DELTA_V var 0
scoreboard players set BUDGET_USED var 0
scoreboard players set BUDGET_LEFT var 0
# Get upper stage properties
scoreboard players operation @s tmp = MENU_UPPER_STAGE var
execute @s[scores={tmp=0}] ~ ~ ~ function menu/update/scores/upper_stage_0
execute @s[scores={tmp=1}] ~ ~ ~ function menu/update/scores/upper_stage_1
execute @s[scores={tmp=2}] ~ ~ ~ function menu/update/scores/upper_stage_2
execute @s[scores={tmp=3}] ~ ~ ~ function menu/update/scores/upper_stage_3
execute @s[scores={tmp=4}] ~ ~ ~ function menu/update/scores/upper_stage_4
execute @s[scores={tmp=5}] ~ ~ ~ function menu/update/scores/upper_stage_5
execute @s[scores={tmp=6}] ~ ~ ~ function menu/update/scores/upper_stage_6
execute @s[scores={tmp=7}] ~ ~ ~ function menu/update/scores/upper_stage_7
execute @s[scores={tmp=8}] ~ ~ ~ function menu/update/scores/upper_stage_8
execute @s[scores={tmp=9}] ~ ~ ~ function menu/update/scores/upper_stage_9
execute @s[scores={tmp=10}] ~ ~ ~ function menu/update/scores/upper_stage_10
execute @s[scores={tmp=11}] ~ ~ ~ function menu/update/scores/upper_stage_11
execute @s[scores={tmp=12}] ~ ~ ~ function menu/update/scores/upper_stage_12
execute @s[scores={tmp=13}] ~ ~ ~ function menu/update/scores/upper_stage_13
execute @s[scores={tmp=14}] ~ ~ ~ function menu/update/scores/upper_stage_14
execute @s[scores={tmp=15}] ~ ~ ~ function menu/update/scores/upper_stage_15
# Get core properties
scoreboard players operation @s tmp = MENU_CORE var
execute @s[scores={tmp=0}] ~ ~ ~ function menu/update/scores/core_0
execute @s[scores={tmp=1}] ~ ~ ~ function menu/update/scores/core_1
execute @s[scores={tmp=2}] ~ ~ ~ function menu/update/scores/core_2
execute @s[scores={tmp=3}] ~ ~ ~ function menu/update/scores/core_3
execute @s[scores={tmp=4}] ~ ~ ~ function menu/update/scores/core_4
execute @s[scores={tmp=5}] ~ ~ ~ function menu/update/scores/core_5
execute @s[scores={tmp=6}] ~ ~ ~ function menu/update/scores/core_6
execute @s[scores={tmp=7}] ~ ~ ~ function menu/update/scores/core_7
execute @s[scores={tmp=8}] ~ ~ ~ function menu/update/scores/core_8
execute @s[scores={tmp=9}] ~ ~ ~ function menu/update/scores/core_9
# Get motor properties
scoreboard players operation @s tmp = MENU_MOTOR var
execute @s[scores={tmp=0}] ~ ~ ~ function menu/update/scores/motor_0
execute @s[scores={tmp=1}] ~ ~ ~ function menu/update/scores/motor_1
execute @s[scores={tmp=2}] ~ ~ ~ function menu/update/scores/motor_2
execute @s[scores={tmp=3}] ~ ~ ~ function menu/update/scores/motor_3
execute @s[scores={tmp=4}] ~ ~ ~ function menu/update/scores/motor_4
execute @s[scores={tmp=5}] ~ ~ ~ function menu/update/scores/motor_5
execute @s[scores={tmp=6}] ~ ~ ~ function menu/update/scores/motor_6
execute @s[scores={tmp=7}] ~ ~ ~ function menu/update/scores/motor_7
execute @s[scores={tmp=8}] ~ ~ ~ function menu/update/scores/motor_8
execute @s[scores={tmp=9}] ~ ~ ~ function menu/update/scores/motor_9
execute @s[scores={tmp=10}] ~ ~ ~ function menu/update/scores/motor_10
execute @s[scores={tmp=11}] ~ ~ ~ function menu/update/scores/motor_11
execute @s[scores={tmp=12}] ~ ~ ~ function menu/update/scores/motor_12
execute @s[scores={tmp=13}] ~ ~ ~ function menu/update/scores/motor_13
execute @s[scores={tmp=14}] ~ ~ ~ function menu/update/scores/motor_14
execute @s[scores={tmp=15}] ~ ~ ~ function menu/update/scores/motor_15
# Calculate delta-v
# delta_v = ((total_thrust+total_weight)*1000)*weight^3
scoreboard players operation @s tmp = WEIGHT var
scoreboard players operation @s tmp *= WEIGHT var
scoreboard players operation @s tmp *= WEIGHT var
scoreboard players operation @s tmp1 = FUEL var
scoreboard players operation @s tmp1 += THRUST var
scoreboard players operation @s tmp2 = _10 var
scoreboard players operation @s tmp2 *= _10 var
scoreboard players operation @s tmp2 *= _10 var
scoreboard players operation @s tmp1 *= @s tmp2
scoreboard players operation @s tmp1 -= @s tmp
scoreboard players operation DELTA_V var = @s tmp1
# Calculate the budget
scoreboard players operation BUDGET_LEFT var = MISSION_BUDGET var
scoreboard players operation BUDGET_LEFT var -= BUDGET_USED var